Subject: Re: [Devel] Re: Network virtualization/isolation

From: Dmitry Mishin <[email-masked]>
Date: Sun, 10 Dec 2006 00:18:08 +0300

On Saturday 09 December 2006 09:35, Herbert Poetzl wrote:
> On Fri, Dec 08, 2006 at 10:13:48PM -0800, Andrew Morton wrote:
> > On Sat, 9 Dec 2006 04:50:02 +0100
> > Herbert Poetzl <[email-masked]> wrote:
> > 
> > > On Fri, Dec 08, 2006 at 12:57:49PM -0700, Eric W. Biederman wrote:
> > > > Herbert Poetzl <[email-masked]> writes:
> > > > 
> > > > >> But, ok, it is not the real point to argue so much imho 
> > > > >> and waste our time instead of doing things.
> > > 
> > > > > well, IMHO better talk (and think) first, then implement
> > > > > something ... not the other way round, and then start
> > > > > fixing up the mess ...
> > > > 
> > > > Well we need a bit of both.
> > > 
> > > hmm, are 'we' in a hurry here?
> > > 
> > > until recently, 'Linux' (mainline) didn't even want
> > > to hear about OS Level virtualization, now there
> > > is a rush to quickly get 'something' in, not knowing
> > > or caring if it is usable at all?
> > 
> > It's actually happening quite gradually and carefully.
> 
> hmm, I must have missed a testing phase for the
> IPC namespace then, not that I think it is broken
> (well, maybe it is, we do not know yet)
Herbert,

you know that this code is used in our product. And in its turn, our
product is tested internally and by a community. We have no reports about
bugs in this code. If you have to say more than just "something to say",
please, say it.

> 
> > > I think there are a lot of 'potential users' for
> > > this kind of virtualization, and so 'we' can test
> > > almost all aspects outside of mainline, and once
> > > we know the stuff works as expected, then we can
> > > integrate it ...
> > > 
> > > the UTS namespace was something 'we all' had already
> > > implemented in this (or a very similar) way, and in
> > > one or two interations, it should actually work as 
> > > expected. nevertheless, it was one of the simplest
> > > spaces ...
> > > 
> > > we do not yet know the details for the IPC namespace,
> > > as IPC is not that easy to check as UTS, and 'we'
> > > haven't gotten real world feedback on that yet ...
> > 
> > We are very dependent upon all stakeholders including yourself 
> > to review, test and comment upon this infrastructure as it is 
> > proposed and merged. If something is proposed which will not 
> > suit your requirements then it is important that we hear about 
> > it, in detail, at the earliest possible time.
> 
> okay, good to hear that I'm still considered a stakeholder 
> 
> will try to focus the feedback and cc as many folks
> as possible, as it seems that some feedback is lost
> on the way upstream ...
> 
> best,
> Herbert
> 
> > Thanks.
> 

-- 
Thanks,
Dmitry.